﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WPF.Framework.Models.Repository
{
    class AgentRepository : Repository<Agent>
    {
        public AgentRepository(AgentsDbContext context) : base(context) { }

        public override IQueryable<Agent> Items => context.Set<Agent>().Include(item => item.ProductSale).Include(item => item.AgentType);
    }
}
